Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Class IncrementalReapTask

`java.lang.Object
com.tangosol.coherence.servlet.AbstractReapTask
com.tangosol.coherence.servlet.IncrementalReapTask`

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  SessionHelper.SessionReaperDaemon.IncrementalReapTask

Deprecated. In releases following 3.6 customization will be declarative.

      public class IncrementalReapTask

extends AbstractReapTask

A task that starts a reaping cycle and reaps session in sequence.

Field Summary

Fields inherited from class com.tangosol.coherence.servlet.AbstractReapTask
`mStartTime`

Constructor Summary
`IncrementalReapTask(SessionHelper sessionHelper, SessionReaperStatistics statistics, Iterator iterIds, int cEstimatedSessions)` Deprecated. Construct an IncrementalReapTask.

Method Summary
`int` | `getSessionChunkCount()` Deprecated.
`int` | `getSessionChunkMillis()` Deprecated.
`protected void` | `reap()` Deprecated. The task process: Process a portion of the reaping cycle.
`protected void` | `scheduleNextCycle()` Deprecated. Schedules the next reaping cycle.

Methods inherited from class com.tangosol.coherence.servlet.AbstractReapTask
`checkAndInvalidate, done, getDaemon, getNrOfInvalidatedSessions, getSessionHelper, getSessionIdIterator, isDone, run`

Constructor Detail

### IncrementalReapTask

    public IncrementalReapTask(SessionHelper sessionHelper,
                               SessionReaperStatistics statistics,
                               Iterator iterIds,
                               int cEstimatedSessions)

  Deprecated.
  Construct an IncrementalReapTask.
  Parameters:
    `iterIds` - an iterator of session IDs to check
    `cEstimatedSessions` - the estimated number of session IDs to check
    `sessionHelper` -

Method Detail

### reap

    protected void reap()

  Deprecated.
  The task process: Process a portion of the reaping cycle.
  Specified by:
    `reap` in class `AbstractReapTask`

### scheduleNextCycle

    protected void scheduleNextCycle()

  Deprecated.
  Description copied from class: `AbstractReapTask`
  Schedules the next reaping cycle.
  Overrides:
    `scheduleNextCycle` in class `AbstractReapTask`

### getSessionChunkCount

    public int getSessionChunkCount()

  Deprecated.
  Returns:
    the number of sessions to process at a time

### getSessionChunkMillis

    public int getSessionChunkMillis()

  Deprecated.
  Returns:
    the number of milliseconds allocated to each chunk

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.